error in standalone app with jsui?

Aug 29, 2006 at 3:58pm

error in standalone app with jsui?

I have a very simple app that works fine on my computer, but fails
utterly on another computer.

I use max/jitter 4.5.7/1.5.2, the other computer doesn’t have max/
jitter installed on it. I’m using OS X 10.4.6 to build the app, and
10.3.9 is on the other computer.

The patch consists of a jsui object with my own script loaded into
it, and a jit.window with a few videoplanes. Very simple. I built
it into an app and it runs fine on my computer. jitlib is in the
MacOS folder, Cg.framework is in the support folder.

On the problematic computer, the user sees (this is them typing, so
it’s not a completely exact error message):

ERROR: Can’t fragload jsui (missing <>)
jit.gl.render: building openGL err -2804 on window
“moontomatolightbulb”…

Can anyone offer some clues as to what the problem could be? I’ve
built many apps and have never seen a combo jsui/jit.gl.render error
like this in a complete app, before.

Thanks in advance,
Evan Raskob

#27371
Aug 29, 2006 at 5:55pm

On Aug 29, 2006, at 8:58 AM, evan.raskob [lists] wrote:

> ERROR: Can’t fragload jsui (missing <>)

Check out appendix D from the Jitter manual re: JS support. The JS
library should be copied automatically, but for some reason it would
appear that it is not. Or another possibility is that an old version
of JSUI has been included in your standalone somehow.

> jit.gl.render: building openGL err -2804 on window
> “moontomatolightbulb”…

Unsure about his one. Sounds like you might also have an old
mismatched version of jit.gl.render somehow included.

-Joshua

#82734
Aug 30, 2006 at 11:28am

Thanks, I bet it was a corrupted JS library.

I’ll see if that fixes it.

Best,
Evan

On Aug 29, 2006, at 6:55 PM, Joshua Kit Clayton wrote:

>
> On Aug 29, 2006, at 8:58 AM, evan.raskob [lists] wrote:
>
>> ERROR: Can’t fragload jsui (missing <>)
>
> Check out appendix D from the Jitter manual re: JS support. The JS
> library should be copied automatically, but for some reason it
> would appear that it is not. Or another possibility is that an old
> version of JSUI has been included in your standalone somehow.
>
>> jit.gl.render: building openGL err -2804 on window
>> “moontomatolightbulb”…
>
> Unsure about his one. Sounds like you might also have an old
> mismatched version of jit.gl.render somehow included.
>
> -Joshua

#82735

You must be logged in to reply to this topic.